<?php
ob_start("ob_gzhandler");
include("./includes/config.php");
$username = $_COOKIE[traidusername];
$password = $_COOKIE[traiduserpassword];
$userid = $_COOKIE[traiduserid];
if(!isset($_COOKIE[traidusername])  ){
$message = "<b>من فضلك قم بتسجيل الدخول أولا</b>";
}else{
$getuser = mysql_db_query("$dbName", "SELECT * FROM  `users` WHERE `user_name` = '$username' and `user_password` = '$password' and `user_id` = '$userid' ;") ;
$find = mysql_affected_rows();
if(($find)==('0')){

$message = "عفوا قم باعاده تسجيل الدخول";
@setcookie('traidusername',$username,time()-36000);
}else{
$cheack = mysql_db_query("$dbName", "SELECT * FROM  `favorite` WHERE `user_id` = '$userid' and `divan_id` = '$_POST[thisid]' ;") ;
$findd = mysql_affected_rows();
if ($findd > 0){
$message = "<b>لا يمكن اضافه القصيدة أكثر من مرة للمفضلة</b>";
}else{
$divanid = $_POST[thisid];
$selectdivantitle = mysql_db_query("$dbName", "SELECT * FROM `divan` WHERE `divan_id`='$divanid'  ") ;
while ($dinfo =  @mysql_fetch_array($selectdivantitle)){
$poemtitle = $dinfo[divan_title];
}
if(($poemtitle)==('')){
$message =  "<b>لا يمكن اضافه القصيدة أكثر من مرة للمفضلة</b>";
}else{
$insert = mysql_db_query("$dbName", "INSERT INTO `favorite` ( `fav_id` , `divan_id` , `divan_title` , `user_id` )
VALUES (NULL , '$divanid', '$poemtitle', '$userid');") ;

if ($insert){
$message = "<b>تم اضافة القصيدة للمفضلة بنجاح</b>";
}else{
$message = "<b>عفوا هناك مشكلة باضافه القصيدة للمفضلة</b>";
 }
}
}

}

}

echo iconv('windows-1256','utf-8',$message);
ob_end_flush();
?>